diff --git a/mqtt_client_app.c b/mqtt_client_app.c
index bae300e..b6e85f6 100644
--- a/mqtt_client_app.c
+++ b/mqtt_client_app.c
@@ -81,10 +81,10 @@
 //                          LOCAL DEFINES
 //*****************************************************************************
 /* enables secured client                                                    */
-//#define SECURE_CLIENT
+#define SECURE_CLIENT
 
 /* enables client authentication by the server                               */
-//#define CLNT_USR_PWD
+#define CLNT_USR_PWD
 
 #define CLIENT_INIT_STATE        (0x01)
 #define MQTT_INIT_STATE          (0x04)
@@ -95,8 +95,8 @@
 #define SLNET_IF_WIFI_PRIO       (5)
 
 /* Operate Lib in MQTT 3.1 mode.                                             */
-#define MQTT_3_1_1               false
-#define MQTT_3_1                 true
+#define MQTT_3_1_1               true
+#define MQTT_3_1                 false
 
 #define WILL_TOPIC               "Client"
 #define WILL_MSG                 "Client Stopped"
@@ -105,7 +105,7 @@
 
 /* Defining Broker IP address and port Number                                */
 //#define SERVER_ADDRESS           "messagesight.demos.ibm.com"
-#define SERVER_ADDRESS           "m2m.eclipse.org"
+#define SERVER_ADDRESS           "<REPLACE_WITH_IOT_CONNECTOR_FQDN>"
 #define SERVER_IP_ADDRESS        "192.168.178.67"
 #define PORT_NUMBER              1883
 #define SECURED_PORT_NUMBER      8883
@@ -115,7 +115,7 @@
 #define CLEAN_SESSION            true
 
 /* Retain Flag. Used in publish message.                                     */
-#define RETAIN_ENABLE            1
+#define RETAIN_ENABLE            0
 
 /* Defining Number of subscription topics                                    */
 #define SUBSCRIPTION_TOPIC_COUNT 4
@@ -127,7 +127,7 @@
 #define SUBSCRIPTION_TOPIC3      "/cc3200/ToggleLEDCmdL3"
 
 /* Defining Publish Topic Values                                             */
-#define PUBLISH_TOPIC0           "/cc32xx/ButtonPressEvtSw2"
+#define PUBLISH_TOPIC0           "$resource/alive"
 #define PUBLISH_TOPIC0_DATA \
     "Push Button SW2 has been pressed on CC32xx device"
 
@@ -145,7 +145,7 @@
 /* Month (MM format) in the range of 1-12                                    */
 #define MONTH                    5
 /* Year (YYYY format)                                                        */
-#define YEAR                     2017
+#define YEAR                     2018
 /* Hours in the range of 0-23                                                */
 #define HOUR                     12
 /* Minutes in the range of 0-59                                              */
@@ -201,11 +201,11 @@ SlWlanSecParams_t SecurityParams = { 0 };
 /* Client ID                                                                 */
 /* If ClientId isn't set, the MAC address of the device will be copied into  */
 /* the ClientID parameter.                                                   */
-char ClientId[13] = {'\0'};
+char ClientId[13] = {'a','b','c','\0'};
 
 /* Client User Name and Password                                             */
-const char *ClientUsername = "username1";
-const char *ClientPassword = "pwd1";
+const char *ClientUsername = "abc";
+const char *ClientPassword = "abcdefABCDEF1234567890";
 
 /* Subscription topics and qos values                                        */
 char *topic[SUBSCRIPTION_TOPIC_COUNT] =
@@ -233,7 +233,7 @@ char lineBreak[] = "\n\r";
 //*****************************************************************************
 #ifdef  SECURE_CLIENT
 
-char *Mqtt_Client_secure_files[CLIENT_NUM_SECURE_FILES] = {"ca-cert.pem"};
+char *Mqtt_Client_secure_files[CLIENT_NUM_SECURE_FILES] = {"rootca.der"};
 
 /*Initialization structure to be used with sl_ExtMqtt_Init API. In order to  */
 /*use secured socket method, the flag MQTTCLIENT_NETCONN_SEC, cipher,        */
@@ -257,8 +257,8 @@ char *Mqtt_Client_secure_files[CLIENT_NUM_SECURE_FILES] = {"ca-cert.pem"};
 /*      otherwise, this verification will be disabled.                       */
 MQTTClient_ConnParams Mqtt_ClientCtx =
 {
-    MQTTCLIENT_NETCONN_IP4 | MQTTCLIENT_NETCONN_SEC,
-    SERVER_IP_ADDRESS,  //SERVER_ADDRESS,
+    MQTTCLIENT_NETCONN_URL | MQTTCLIENT_NETCONN_SEC | MQTTCLIENT_NETCONN_SKIP_CERTIFICATE_CATALOG_VERIFICATION,
+    SERVER_ADDRESS,
     SECURED_PORT_NUMBER, //  PORT_NUMBER
     SLNETSOCK_SEC_METHOD_SSLv3_TLSV1_2,
     SLNETSOCK_SEC_CIPHER_FULL_LIST,
@@ -558,7 +558,7 @@ void * MqttClient(void *pvParameters)
                 MQTTClient_publish(gMqttClient, (char*) publish_topic, strlen(
                                       (char*)publish_topic),
                                   (char*)publish_data,
-                                  strlen((char*) publish_data), MQTT_QOS_2 |
+                                  strlen((char*) publish_data), MQTT_QOS_0 |
                                   ((RETAIN_ENABLE) ? MQTT_PUBLISH_RETAIN : 0));
 
             UART_PRINT("\n\r CC3200 Publishes the following message \n\r");
@@ -810,7 +810,7 @@ void Mqtt_Stop()
 int32_t MqttClient_start()
 {
     int32_t lRetVal = -1;
-    int32_t iCount = 0;
+//    int32_t iCount = 0;
 
     int32_t threadArg = 100;
     pthread_attr_t pAttrs;
@@ -854,8 +854,8 @@ int32_t MqttClient_start()
 #endif
 
     /*setting will parameters                                                */
-    MQTTClient_set(gMqttClient, MQTTClient_WILL_PARAM, &will_param,
-                   sizeof(will_param));
+//    MQTTClient_set(gMqttClient, MQTTClient_WILL_PARAM, &will_param,
+//                   sizeof(will_param));
 
 #ifdef CLNT_USR_PWD
     /*Set user name for client connection                                    */
@@ -897,33 +897,33 @@ int32_t MqttClient_start()
             gUiConnFlag = 1;
         }
         /*Subscribe to topics when session is not stored by the server       */
-        if((gUiConnFlag == 1) && (0 == lRetVal))
-        {
-            uint8_t subIndex;
-            MQTTClient_SubscribeParams subscriptionInfo[
-                SUBSCRIPTION_TOPIC_COUNT];
-
-            for(subIndex = 0; subIndex < SUBSCRIPTION_TOPIC_COUNT; subIndex++)
-            {
-                subscriptionInfo[subIndex].topic = topic[subIndex];
-                subscriptionInfo[subIndex].qos = qos[subIndex];
-            }
-
-            if(MQTTClient_subscribe(gMqttClient, subscriptionInfo,
-                                    SUBSCRIPTION_TOPIC_COUNT) < 0)
-            {
-                UART_PRINT("\n\r Subscription Error \n\r");
-                MQTTClient_disconnect(gMqttClient);
-                gUiConnFlag = 0;
-            }
-            else
-            {
-                for(iCount = 0; iCount < SUBSCRIPTION_TOPIC_COUNT; iCount++)
-                {
-                    UART_PRINT("Client subscribed on %s\n\r,", topic[iCount]);
-                }
-            }
-        }
+//        if((gUiConnFlag == 1) && (0 == lRetVal))
+//        {
+//            uint8_t subIndex;
+//            MQTTClient_SubscribeParams subscriptionInfo[
+//                SUBSCRIPTION_TOPIC_COUNT];
+//
+//            for(subIndex = 0; subIndex < SUBSCRIPTION_TOPIC_COUNT; subIndex++)
+//            {
+//                subscriptionInfo[subIndex].topic = topic[subIndex];
+//                subscriptionInfo[subIndex].qos = qos[subIndex];
+//            }
+//
+//            if(MQTTClient_subscribe(gMqttClient, subscriptionInfo,
+//                                    SUBSCRIPTION_TOPIC_COUNT) < 0)
+//            {
+//                UART_PRINT("\n\r Subscription Error \n\r");
+//                MQTTClient_disconnect(gMqttClient);
+//                gUiConnFlag = 0;
+//            }
+//            else
+//            {
+//                for(iCount = 0; iCount < SUBSCRIPTION_TOPIC_COUNT; iCount++)
+//                {
+//                    UART_PRINT("Client subscribed on %s\n\r,", topic[iCount]);
+//                }
+//            }
+//        }
     }
 
     gInitState &= ~CLIENT_INIT_STATE;
@@ -944,21 +944,21 @@ int32_t MqttClient_start()
 
 void Mqtt_ClientStop(uint8_t disconnect)
 {
-    uint32_t iCount;
-
-    MQTTClient_UnsubscribeParams subscriptionInfo[SUBSCRIPTION_TOPIC_COUNT];
-
-    for(iCount = 0; iCount < SUBSCRIPTION_TOPIC_COUNT; iCount++)
-    {
-        subscriptionInfo[iCount].topic = topic[iCount];
-    }
-
-    MQTTClient_unsubscribe(gMqttClient, subscriptionInfo,
-                           SUBSCRIPTION_TOPIC_COUNT);
-    for(iCount = 0; iCount < SUBSCRIPTION_TOPIC_COUNT; iCount++)
-    {
-        UART_PRINT("Unsubscribed from the topic %s\r\n", topic[iCount]);
-    }
+//    uint32_t iCount;
+//
+//    MQTTClient_UnsubscribeParams subscriptionInfo[SUBSCRIPTION_TOPIC_COUNT];
+//
+//    for(iCount = 0; iCount < SUBSCRIPTION_TOPIC_COUNT; iCount++)
+//    {
+//        subscriptionInfo[iCount].topic = topic[iCount];
+//    }
+//
+//    MQTTClient_unsubscribe(gMqttClient, subscriptionInfo,
+//                           SUBSCRIPTION_TOPIC_COUNT);
+//    for(iCount = 0; iCount < SUBSCRIPTION_TOPIC_COUNT; iCount++)
+//    {
+//        UART_PRINT("Unsubscribed from the topic %s\r\n", topic[iCount]);
+//    }
     gUiConnFlag = 0;
 
     /*exiting the Client library                                             */
